Categories:
  - Graphics
License: Apache-2.0
SourceCode: https://github.com/rmtheis/android-ocr
IssueTracker: https://github.com/rmtheis/android-ocr/issues

AutoName: OCR Test
Description: |-
    N.B. The direct translation function won't work as it requires API keys which
    are not in the source. It is possible to long-press the result to copy it, so
    that it can be pasted into a browser or a dictionary.

    Experimental app for optical character recognition (OCR). Runs the Tesseract OCR
    engine on your device to find text in images captured by the device camera,
    without uploading your images to a server. It is suitable for recognizing
    individual words or short phrases of text.

    The default single-shot capture runs OCR on a snapshot image that's captured
    when you click the shutter button, like a regular photo. When the "continuous
    preview" checkbox is checked, the app shows a dynamic, real-time display of what
    the device is recognizing right beside the camera viewfinder. The continuous
    preview mode works best on a fast device.

RepoType: git
Repo: https://github.com/rmtheis/android-ocr.git

Builds:
  - versionName: 0.5.12
    versionCode: 31
    commit: 5ca566e5
    subdir: android
    srclibs:
      - TessTwo@cbfa61eff0
    prebuild:
      - sed -i 's@\(rence.1=\).*@\1../tess-two@' project.properties
      - cp -r $$TessTwo$$ ../
    build: $$NDK$$/ndk-build -C ../tess-two

  - versionName: 0.5.13
    versionCode: 32
    disable: doesnt build
    commit: 10c6621452be6f215
    subdir: android
    srclibs:
      - 1:TessTwo@8f63ae2058159
    build: $$NDK$$/ndk-build -C $$TessTwo$$

  - versionName: 0.5.14
    versionCode: 33
    commit: 927c2e9b2adcf8515515fd4a54ebd23123ea664b
    subdir: android
    srclibs:
      - 1:TessTwo@9ff9e499eaf7bc799a4781ee530e0e5508898e90
    build: $$NDK$$/ndk-build -C $$TessTwo$$

MaintainerNotes: RepoManifest always a version ahead, since upstream bumps versions
    just after each release.

AutoUpdateMode: None
UpdateCheckMode: RepoManifest
CurrentVersion: 0.5.14
CurrentVersionCode: 33
